// -*-c++-*-

#ifndef __Pieces__
#define __Pieces__

#define NO_ORIENTS 4
#define NO_SQUARES 4
#define NO_DIMS 2
#define NO_PIECES 7

#define PIECES_RED 131
#define PIECES_BLUE 6
#define PIECES_GREEN 59
#define PIECES_YELLOW 251
#define PIECES_WHITE 254
#define PIECES_ORANGE 11
#define PIECES_PURPLE 67

struct Piece {
  int color;			// must be one of the above defines
  int index[NO_ORIENTS][NO_SQUARES][NO_DIMS];  // dimensions are stored x/y
};

/*-------------------------------------------------------------------------*/

extern struct Piece Pieces[NO_PIECES];

/*-------------------------------------------------------------------------*/

#endif				// __Pieces__
