#include <iostream.h>
#include "cfclass.h"

int main(int argc, char **argv)
{
   if (argc != 3)
   {
      cerr.form("Usage: %s cffile file\n", argv[0]);
      return 1;
   }

   cfc cffile;
   if (cffile.open(argv[1]) != 0)
   {
      cerr << cffile.errorstr() << endl;
      return 1;
   }
   cerr << "Opened " << argv[1] << endl;

   char *ptr = cffile.read(argv[2]);
   if (!ptr)
   {
      cerr << cffile.errorstr() << endl;
      return 1;
   }
   cerr << "Read " << argv[2] << endl;

   cout.write(ptr, cffile.size(argv[2]));
   delete [] ptr;
   return 0;
}
