#include <iostream.h>

#include "cfclass.h"

int main(int argc, char **argv)
{
   char c;

   if (argc < 3)
   {
      cerr.form("Usage: %s outfile infiles\n", argv[0]);
      cerr << "Creates an archive named 'outfile' made up of the infiles\n";
      return 1;
   }

   if (cfc::writeCfFile(argv[1], argc - 2, argv + 2) < 0)
   {
      cerr << "Failed to create archive " << argv[1] << endl;
      return 1;
   }

   cout << "Created " << argv[1] << endl;
   return 0;
}
