/* Tetris v0.4 - Tetris game for VGA PCs running Linux
 * Copyright (C) 1995 Adam P. Jenkins
 *
 * utils.h: header file for utils.cc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
// Miscelaneous functions for vga_tetris
#ifndef __utils__
#define __utils__

#include <SBitmap.h>
#include <String.h>
#include <HiScore.h>

extern void PrintMag(int x, int y, float mag, char *s);
extern int loadFont(char *fontfile, int width, int height);
extern SBitmap *MakeMouseCursor(int dark, int light);
extern String getHighScoreName();
extern void showScores( HiScore &s );

#endif
